open-vm-tools 10.0.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
vmtoolsInt.h File Reference
`#include "glibUtils.h"`
`#include "vmware.h"`
`#include "vmware/tools/utils.h"`

Go to the source code of this file.

## Functions
void | VMToolsMsgCleanup (void)
GlibLogger * | VMToolsCreateVMXLogger (void)
gint | VMToolsAsprintf (gchar **string, gchar const *format,...) PRINTF_DECL(2
gint void | GuestSDK_Debug (const char *fmt,...)
void | GuestSDK_Log (const char *fmt,...)
void | GuestSDK_Warning (const char *fmt,...)
void | GuestSDK_Panic (const char *fmt,...)

## Detailed Description

Internal definitions used by the vmtools library.

## Function Documentation

GlibLogger* VMToolsCreateVMXLogger | ( | void |  | ) |

Configures a new VMX logger.

Returns
  The VMX logger data.

void VMToolsMsgCleanup | ( | void |  | ) |

Cleanup internal state, freeing up any used memory. After calling this function, it's not safe to call any of the API exposed by this file, so this is only called internally when the library is being unloaded.